complexType "CollateralAllocationReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-reporting-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, serviceName?, collateralGiverPartyReference?, collateralAllocation*, party*, account*
</...>

Content Model Elements (11):

  account, collateralAllocation, collateralGiverPartyReference, correlationId, header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), serviceName (in collateralAllocationReport), validation

All Direct / Indirect Based Elements (1):

  collateralAllocationReport

Known Usage Locations

- As direct type of elements (1):
  collateralAllocationReport

Annotation
A type defining the content model for a message allowing one party to send a report listing collateral allocation.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) CollateralAllocationReport

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CollateralAllocationReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/> <xsd:element maxOccurs="1" minOccurs="0" name="collateralGiverPartyReference" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralAllocation" type="ProposedCollateralAllocation"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
collateralAllocation

  Type: | ProposedCollateralAllocation, complex content

  Allocation details
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralAllocation" type="ProposedCollateralAllocation"/>

collateralGiverPartyReference

  Type: | PartyReference, empty content

  The party paying the margin / issuing the allocation request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="collateralGiverPartyReference" type="PartyReference"/>

serviceName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the service to which the message applies
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.